package com.example.demo;

import com.example.demo.services.GameService;
import com.example.demo.services.PlayService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.example.demo.services.CustomerService;

@SpringBootApplication
public class DemoApplication implements CommandLineRunner {
    private final Logger log = LoggerFactory.getLogger(DemoApplication.class);

    private final CustomerService customerService;
    private final GameService gameService;
    private final PlayService playService;

    public DemoApplication(
            CustomerService customerService,
            GameService gameService,
            PlayService playService
            ) {
        this.customerService = customerService;
        this.gameService = gameService;
        this.playService = playService;
    }

    public static void main(String[] args) {
        SpringApplication.run(DemoApplication.class, args);
    }

    @Override
    public void run(String... args) throws Exception {

    }
}
