package com.example.demo.dtos;
import com.example.demo.models.Customer;
import com.example.demo.models.Game;
import com.example.demo.models.Play;
import jakarta.validation.constraints.*;

import java.util.ArrayList;
import java.util.List;


public class CustomerDto {
    private Long id;

    @NotNull
    @Min(2)
    private String name;

    private List<Long> gamesId;

    private List<Long> playsId;

    public CustomerDto(){

    }

    public CustomerDto(Customer customer)
    {
        id = customer.getId();
        name = customer.getName();

        var existGames = customer.getGames();
        if (existGames != null && !existGames.isEmpty()){
            gamesId = existGames.stream().map(Game::getId).toList();
        }
        else {
            gamesId = new ArrayList<>();
        }

        var existPlays = customer.getPlays();
        if (existPlays != null && !existPlays.isEmpty()){
            playsId = existPlays.stream().map(Play::getId).toList();
        }
        else {
            playsId = new ArrayList<>();
        }
    }
    public String getName() {
        return name;
    }
    public void setName(String name){
        this.name = name;
    }

    public List<Long> getGamesId() {
        return gamesId;
    }
    public void setGamesId(List<Long> gamesId){
        this.gamesId = gamesId;
    }

    public List<Long> getPlaysId(){
        return playsId;
    }
    public void setPlaysId(List<Long> playsId){
        this.playsId = playsId;
    }

    public Long getId(){
        return id;
    }
    public void setId(Long id){
        this.id = id;
    }
}
