package com.example.demo.dtos;

import com.example.demo.models.Game;
import com.example.demo.models.Play;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;

import java.util.ArrayList;
import java.util.List;

public class GameDto {
    private Long id;
    @NotNull
    @Min(2)
    private String name;

    private String description;

    private Long customerId;

    private List<Long> playsId;

    public GameDto(){

    }

    public GameDto(Game game){
        id = game.getId();
        name = game.getName();
        description = game.getDescription();

        customerId = game.getCustomerId();

        var playsExist = game.getPlays();
        if (playsExist != null && !playsExist.isEmpty()){
            playsId = playsExist.stream().map(Play::getId).toList();
        }
        else {
            playsId = new ArrayList<>();
        }
    }

    public String getName() {
        return name;
    }
    public void setName(String name){
        this.name = name;
    }

    public String getDescription(){
        return description;
    }
    public void setDescription(String description){
        this.description = description;
    }

    public Long getCustomerId(){
        return customerId;
    }
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }

    public List<Long> getPlaysId(){
        return playsId;
    }
    public void setPlaysId(List<Long> playsId){
        this.playsId = playsId;
    }

    public Long getId(){
        return id;
    }
    public void setId(Long id){
        this.id = id;
    }
}
