package com.example.demo.dtos;

import com.example.demo.models.Customer;
import com.example.demo.models.Play;
import jakarta.validation.constraints.NotNull;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class PlayDto {
    private Long id;

    private String description;

    @NotNull
    private Date date;

    @NotNull
    private Long gameId;

    private List<Long> customersId;

    public PlayDto(){

    }

    public PlayDto(Play play){
        id = play.getId();
        description = play.getDescription();
        date = play.getDate();

        gameId = play.getGameId();

        var existCustomers = play.getCustomers();
        if (existCustomers != null && !existCustomers.isEmpty()){
            customersId = existCustomers.stream().map(Customer::getId).toList();
        }
        else {
            customersId = new ArrayList<>();
        }
    }

    public String getDescription(){
        return description;
    }
    public void setDescription(String description){
        this.description = description;
    }

    public Date getDate(){
        return date;
    }
    public void setDate(Date date){
        this.date = date;
    }

    public Long getGameId(){
        return gameId;
    }
    public void setGameId(Long gameId){
        this.gameId = gameId;
    }

    public List<Long> getCustomersId(){
        return customersId;
    }
    public void setCustomersId(List<Long> customersId){
        this.customersId = customersId;
    }

    public Long getId(){
        return id;
    }
    public void setId(Long id){
        this.id = id;
    }
}
