package com.example.demo.models;

import jakarta.persistence.*;

import java.util.*;

@Entity
public class Customer {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private long id;

    @Column(unique = true, length = 50)
    private String name;

    @OneToMany(mappedBy = "customer", cascade=CascadeType.REMOVE)
    @OrderBy("name ASC")
    private List<Game> games = new ArrayList<>();

    @ManyToMany
    @JoinTable(name="plays_customers",
            joinColumns = @JoinColumn(name="customerId", referencedColumnName="id"),
            inverseJoinColumns= @JoinColumn(name="playId", referencedColumnName="id") )
    @OrderBy("date desc")
    private List<Play> plays = new ArrayList<>();

    public Customer() {

    }

    public Customer(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Customer cart = (Customer) o;
        return Objects.equals(name, cart.name);
    }

    @Override
    public int hashCode() {
        return Objects.hash(name);
    }

    public long getId(){
        return id;
    }

    public String getName(){
        return name;
    }
    public void setName(String name){
        this.name = name;
    }

    public List<Game> getGames(){
        return games;
    }
    public void setGames(List<Game> games){
        this.games = games;
    }

    public List<Play> getPlays(){
        return plays;
    }

    public void setPlays(List<Play> plays){
        this.plays = plays;
    }

    public boolean addPlay(Play play){
        return plays.add(play);
    }
}
