package com.example.demo.repositories;

import com.example.demo.models.Customer;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Optional;

public interface CustomerRepository extends JpaRepository<Customer, Long> {
    @Query("select distinct c from Customer c left join fetch c.plays where c.id = ?1")
    Optional<Customer> findByIdWidthPlays(Long id);

    @Query("select distinct c from Customer c left join fetch c.games where c.id = ?1")
    Optional<Customer> findByIdWidthGames(Long id);

    @Query("select distinct c from Customer c left join fetch c.plays")
    List<Customer> findAllWidthPlays();

    @Query("select distinct c from Customer c left join fetch c.games")
    List<Customer> findAllWidthGames();
}
