package com.example.demo.repositories;

import com.example.demo.models.Game;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

public interface GameRepository extends CrudRepository<Game, Long> {
    @Query("select distinct g from Game g left join fetch g.customer left join fetch g.plays where g.id = ?1")
    Optional<Game> findById(Long id);

    @Query("select distinct g from Game g left join fetch g.customer left join fetch g.plays")
    List<Game> findAll();
}
